/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.bebop.jsp;

import com.arsdigita.bebop.form.CheckboxGroup;
import com.arsdigita.bebop.form.OptionGroup;

/**
 * Class for defining a checkbox group.
 * usage:
 * <pre>
 *  &lt;define:checkboxGroup name="cb" [vertical="true"]>
 *    &lt;define:option name="label" value="value"/>
 *  &lt;/define:checkboxGroup>
 * </pre>
 */
public class DefineCheckboxGroup extends DefineOptionGroup {

    private boolean m_vertical;

    public static final String versionId = "$Id: //core-platform/dev/src/com/arsdigita/bebop/jsp/DefineCheckboxGroup.java#8 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    OptionGroup createOptionGroup() {
        OptionGroup og = new CheckboxGroup(getName());
        if (m_vertical) {
            og.setClassAttr("vertical");
        }
        return og;
    }

    public void setVertical(String s) {
        m_vertical = new Boolean(s).booleanValue();
    }
}
